Skip to main content
GET
/
api
/
v1
/
tax-estimate
Tax Estimate
curl --request GET \
  --url https://api.example.com/api/v1/tax-estimate
{
  "year": 2025,
  "summary": {
    "totalTaxableIncome": 2340000,
    "totalBonuses": 100000,
    "totalStipends": 2955000,
    "housingStipends": 2275000,
    "mieStipends": 709800,
    "federalTax": 280000,
    "totalStateTax": 0,
    "totalTax": 280000,
    "totalExpenses": 45000,
    "totalMaintenance": 300000,
    "netAfterTax": 2060000,
    "estimatedTakeHome": 5015000,
    "federalEffectiveRate": 0.12,
    "overallEffectiveRate": 0.12,
    "quarterlyPayment": 70000
  },
  "assignments": [],
  "states": [],
  "mileage": {
    "totalMiles": 850,
    "deductionAmount": 59500,
    "ratePerMile": 70,
    "tripCount": 12
  },
  "deductions": {
    "method": "standard",
    "filingStatus": "single",
    "standardAmount": 1500000,
    "tcjaSuspended": true,
    "expenseTotal": 45000,
    "stateDeductionSavings": 0,
    "stateDeductions": []
  },
  "compliance": {
    "auditReadiness": {
      "score": 9,
      "total": 11,
      "status": "action_needed"
    }
  },
  "alerts": [],
  "ssProjection": {
    "available": true,
    "currentEarnings": 2340000,
    "hypotheticalEarnings": 5295000,
    "earningsGap": 2955000,
    "ficaSavings": 226057,
    "estimatedMonthlyImpact": 710,
    "estimatedAnnualImpact": 8520,
    "netAdvantage": 217537,
    "noImpact": false,
    "bracketRate": 0.32
  }
}
Returns a comprehensive tax estimate based on all assignments, expenses, mileage, and tax home data for the given year.

Query Parameters

year
string
default:"current year"
Tax year (YYYY format).

Response

The response is extensive. Key sections:
{
  "year": 2025,
  "summary": {
    "totalTaxableIncome": 2340000,
    "totalBonuses": 100000,
    "totalStipends": 2955000,
    "housingStipends": 2275000,
    "mieStipends": 709800,
    "federalTax": 280000,
    "totalStateTax": 0,
    "totalTax": 280000,
    "totalExpenses": 45000,
    "totalMaintenance": 300000,
    "netAfterTax": 2060000,
    "estimatedTakeHome": 5015000,
    "federalEffectiveRate": 0.12,
    "overallEffectiveRate": 0.12,
    "quarterlyPayment": 70000
  },
  "assignments": [],
  "states": [],
  "mileage": {
    "totalMiles": 850,
    "deductionAmount": 59500,
    "ratePerMile": 70,
    "tripCount": 12
  },
  "deductions": {
    "method": "standard",
    "filingStatus": "single",
    "standardAmount": 1500000,
    "tcjaSuspended": true,
    "expenseTotal": 45000,
    "stateDeductionSavings": 0,
    "stateDeductions": []
  },
  "compliance": {
    "auditReadiness": {
      "score": 9,
      "total": 11,
      "status": "action_needed"
    }
  },
  "alerts": [],
  "ssProjection": {
    "available": true,
    "currentEarnings": 2340000,
    "hypotheticalEarnings": 5295000,
    "earningsGap": 2955000,
    "ficaSavings": 226057,
    "estimatedMonthlyImpact": 710,
    "estimatedAnnualImpact": 8520,
    "netAdvantage": 217537,
    "noImpact": false,
    "bracketRate": 0.32
  }
}
deductions
object
Deduction details. Shape depends on employment type:
ssProjection
object
Social Security impact projection.